<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LPhoneButtonTemplate StructType
 * @subpackage Structs
 */
class LPhoneButtonTemplate extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - documentation: The template's name
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The isUserModifiable
     * Meta information extracted from the WSDL
     * - documentation: Read-only
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $isUserModifiable;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LPhoneButtonTemplate
     * @uses LPhoneButtonTemplate::setName()
     * @uses LPhoneButtonTemplate::setIsUserModifiable()
     * @uses LPhoneButtonTemplate::setUuid()
     * @param string $name
     * @param string $isUserModifiable
     * @param string $uuid
     */
    public function __construct($name = null, $isUserModifiable = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setIsUserModifiable($isUserModifiable)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LPhoneButtonTemplate
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get isUserModifiable value
     * @return string|null
     */
    public function getIsUserModifiable()
    {
        return $this->isUserModifiable;
    }
    /**
     * Set isUserModifiable value
     * @param string $isUserModifiable
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LPhoneButtonTemplate
     */
    public function setIsUserModifiable($isUserModifiable = null)
    {
        $this->isUserModifiable = $isUserModifiable;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LPhoneButtonTemplate
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
